! Metodos Numericos y Simulaciones en Astrofisica
! FCEFN - UNSJ, 2010
!
! programa para ver la precision de la maquina
!
!
program prueba
implicit none
  integer, parameter ::g=selected_real_kind(16,200)
  integer, parameter ::j=selected_real_kind(24,200)
  integer, parameter ::m=selected_real_kind(32,200)
  real :: vr,v1,v2,v3,v4
  double precision :: vd
  real(g) :: vg
  real(j) :: vj
  real(m) :: vm

  write(*,*)'           1111111111222222222233333333334'
  write(*,*)'  1234567890123456789012345678901234567890'
  write(*,*)'  '
  vr=1./11.
  write(*,*)vr
  vd=1.d0/11.d0
  write(*,*)vd
  vg=1._g/11._g
  write(*,*)vg
  vj=1._j/11._j
  write(*,*)vj
  vm=1._m/11._m
  write(*,*)vm

end program prueba
